##
##  netpbm.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         netpbm
Summary:      Graphic Image Conversion Tool
URL:          http://netpbm.sourceforge.net/
Vendor:       Bryan Henderson et al
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Graphics
License:      MIT-style
Version:      10.11.4
Release:      20030104

#   list of sources
Source0:      http://osdn.dl.sourceforge.net/sourceforge/netpbm/netpbm-%{version}.tgz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021230, make, gcc, perl, flex, tiff, jpeg, png, zlib
PreReq:       OpenPKG, openpkg >= 20021230
AutoReq:      no
AutoReqProv:  no

%description
    NetPBM is whole bunch of utilities for primitive manipulation of
    graphic images. Wide array of converters from one graphics format
    to another. E.g. from g3 fax format to jpeg. Many basic graphics
    editing tools such as magnifying and cropping.

%prep
    %setup -q

%build
    ( cat Makefile.config.in
      echo "DEFAULT_TARGET = nonmerge"
      echo "NETPBMLIBTYPE=unixstatic"
      echo "NETPBMLIBSUFFIX=a"
      echo "STATICLIB_TOO=n"
      echo "CC = %{l_cc}"
      echo "CFLAGS = %{l_cflags -O}"
      echo "LDFLAGS = %{l_ldflags}"
      echo "TIFFHDR_DIR = %{l_prefix}/include/tiff"
      echo "TIFFLIB = libtiff.a"
      echo "JPEGHDR_DIR = %{l_prefix}/include"
      echo "JPEGLIB = libjpeg.a"
      echo "PNGHDR_DIR = %{l_prefix}/include"
      echo "PNGLIB = libpng.a"
      echo "ZHDR_DIR = %{l_prefix}/include"
      echo "ZLIB = libz.a"
    ) >Makefile.config
    %{l_make} %{l_mflags} -f GNUmakefile

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} subst \
        -e 's;\[ -d $(PKGDIR) \];false;' \
        -e 's;mkdir;true;' \
        GNUmakefile
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix} \
        $RPM_BUILD_ROOT%{l_prefix}/share/netpbm \
        $RPM_BUILD_ROOT%{l_prefix}/include/netpbm
    %{l_make} %{l_mflags} -f GNUmakefile package pkgdir=$RPM_BUILD_ROOT%{l_prefix}
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -f $RPM_BUILD_ROOT%{l_prefix}/pkginfo
    rm -f $RPM_BUILD_ROOT%{l_prefix}/README
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/man/web
    mv $RPM_BUILD_ROOT%{l_prefix}/include/*.h \
       $RPM_BUILD_ROOT%{l_prefix}/include/netpbm/
    mv $RPM_BUILD_ROOT%{l_prefix}/misc/* \
       $RPM_BUILD_ROOT%{l_prefix}/share/netpbm/
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/misc
    mv $RPM_BUILD_ROOT%{l_prefix}/link \
       $RPM_BUILD_ROOT%{l_prefix}/lib
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

